code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/bin/bash
#
# A stupid script to abort restore at the very end. Useful to test
# restore w/o letting the restored processes continue running. E.g.
# can be used to measure the restore time.
#
# Usage:
# criu restore <options> --action-script $(pwd)/scripts/fake-restore.sh
#
if [ "$CRTOOLS_SCRIPT_ACTION" == "post-rest... | LK4D4/criu | scripts/fake-restore.sh | Shell | lgpl-2.1 | 357 |
#!/bin/sh
## get some parameters from the makefile
srcdir=$1
top_builddir=$2
export SHELL srcdir top_builddir
$3
| atmark-techno/atmark-dist | user/lighttpd/tests/wrapper.sh | Shell | gpl-2.0 | 116 |
#!/usr/bin/env bash
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements. See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "Licens... | AtScaleInc/Impala | thirdparty/hadoop-2.0.0-cdh4.5.0/sbin/hadoop-daemon.sh | Shell | apache-2.0 | 5,814 |
#!/bin/bash
# Copyright 2015 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | galexrt/kubernetes-ansible-deployment | scripts/update-master.sh | Shell | apache-2.0 | 819 |
#!/bin/sh
# Unit tests for vc-list-files
# Copyright (C) 2008-2011 Free Software Foundation, Inc.
# This file is part of the GNUlib Library.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; eit... | Distrotech/findutils | tests/test-vc-list-files-git.sh | Shell | gpl-3.0 | 1,438 |
#!/bin/bash
mrnaToGene 2> /dev/null || [[ "$?" == 255 ]]
| blankenberg/bioconda-recipes | recipes/ucsc-mrnatogene/run_test.sh | Shell | mit | 57 |
#!/bin/sh
#
# abi_checks.sh - check for possible abi changes
#
# Copyright (C) 2009 Micheal Adam <obnox@samba.org>
#
# This program is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3 of the Lice... | zarboz/XBMC-PVR-mac | tools/darwin/depends/samba/samba-3.6.6/lib/tevent/script/abi_checks.sh | Shell | gpl-2.0 | 2,527 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | rawlingsj/gofabric8 | vendor/k8s.io/kubernetes/cluster/centos/master/scripts/etcd.sh | Shell | apache-2.0 | 2,219 |
# Edit this for your own project dependencies
OPAM_DEPENDS="ocamlfind ocamlbuild topkg camlp4 ctypes-foreign"
# install OCaml + OPAM
case "$OCAML_VERSION,$OPAM_VERSION" in
3.12.1,1.0.0) ppa=avsm/ocaml312+opam10 ;;
3.12.1,1.1.0) ppa=avsm/ocaml312+opam11 ;;
4.00.1,1.0.0) ppa=avsm/ocaml40+opam10 ;;
4.00.1,1.1.0) ppa=avsm... | ujamjar/hardcaml | .travis-ci.sh | Shell | isc | 942 |
#!/bin/bash
#
#Autheor:Viking Warlock
#Last Modify:2015-12-05
#
echo -e "-----------------------------------------------"
echo -e "| Viking Warlock's BONIC auto install script |"
echo -e "| |"
echo -e "| Ubuntu Only |"
echo -e "| ... | VikingWarlock/install-Server | bonic_server.sh | Shell | mit | 1,079 |
#!/bin/sh
pynvim "+colo cake16" "+AutoSaveToggle" "+set mouse=a" src/main.rs 2>&1 1>/tmp/pynvim.$$.out &
| leonardinius/hanoi-tower.rs | .editor.sh | Shell | mit | 106 |
#!/usr/bin/env bash
sudo npm install -g karma | 10Pines/coding-friday-angularjs | install-karma.sh | Shell | mit | 46 |
#!/bin/bash
docker run blackikeeagle/archlinux-php-fpm
| BlackIkeEagle/docker-images | blackikeeagle/archlinux-php-fpm/run.sh | Shell | mit | 55 |
#!/bin/bash -x
#
# Generated - do not edit!
#
# Macros
TOP=`pwd`
CND_PLATFORM=GNU-Linux-x86
CND_CONF=Debug
CND_DISTDIR=dist
CND_BUILDDIR=build
CND_DLIB_EXT=so
NBTMPDIR=${CND_BUILDDIR}/${CND_CONF}/${CND_PLATFORM}/tmp-packaging
TMPDIRNAME=tmp-packaging
OUTPUT_PATH=gmm
OUTPUT_BASENAME=gmm
PACKAGE_TOP_DIR=gmm-prova/
# F... | SimoneAlbertini/GMM-Clutering | nbproject/Package-Debug.bash | Shell | mit | 1,400 |
#!/bin/sh
# test.sh
# graph
#
# Created by 云心逸 on 8/5/16.
# Copyright © 2016 Errpro,Inc. All rights reserved.
echo "hello" | oxnz/algorithms | graph/test.sh | Shell | mit | 135 |
# Trim trailing whitespace
defaults write com.apple.dt.Xcode DVTTextEditorTrimTrailingWhitespace -bool true
# Trim whitespace-only lines
defaults write com.apple.dt.Xcode DVTTextEditorTrimWhitespaceOnlyLines -bool true
# Show line numbers
defaults write com.apple.dt.Xcode DVTTextEditorShowLineNumbers -bool true
# En... | sberrevoets/dotfiles | macOS/xcode.sh | Shell | mit | 2,907 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DLA-461-1
#
# Security announcement date: 2016-05-07 00:00:00 UTC
# Script generation date: 2017-01-01 21:09:09 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - nagios3:3.4.1-3+deb7u2
#
# Last vers... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/x86_64/2016/DLA-461-1.sh | Shell | mit | 613 |
#!/bin/sh
prog=schurOneMAPlattice2tf_test.m
depends="schurOneMAPlattice2tf_test.m schurOneMAPlattice2tf.m test_common.m \
tf2schurOneMlattice.m schurOneMAPlattice2Abcd.m schurOneMlattice2Abcd.oct \
Abcd2tf.m schurOneMscale.m schurdecomp.oct schurexpand.oct"
tmp=/tmp/$$
here=`pwd`
if [ $? -ne 0 ]; then echo "Failed pw... | robertgj/DesignOfIIRFilters | test/02/t0262a.sh | Shell | mit | 1,206 |
~/workspace/vrep/vrep.sh -h -gREMOTEAPISERVERSERVICE_20000_FALSE_TRUE ~/workspace/baseline/baselines/ppo1/sim_centauro.ttt &
~/workspace/vrep/vrep.sh -h -gREMOTEAPISERVERSERVICE_20001_FALSE_TRUE ~/workspace/baseline/baselines/ppo1/sim_centauro.ttt &
~/workspace/vrep/vrep.sh -h -gREMOTEAPISERVERSERVICE_20002_FALSE_TRU... | pcchenxi/baseline | baselines/ppo1/run_vrep_4.sh | Shell | mit | 506 |
#!/bin/bash
ls -d *.py | entr ./runprofilers.sh
| stefantkeller/dimensionalquantity | dimensionalquantity/tests/profilers/runautomaticprofilers.sh | Shell | mit | 49 |
#!/bin/sh
#
# This script will produce a dmg for DMDirc.
#
# DMDirc - Open Source IRC Client
# Copyright (c) 2006-2017 DMDirc Developers
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software with... | DMDirc/Installers | makeDMG.sh | Shell | mit | 8,459 |
#!/bin/sh
echo "Choose scheme name and update it in SCHEME_XC"
echo "click manage scheme and choose scheme name and find the build configuration BUILD_CONFIG"
echo "if your features(automation test features) are present in different folder rather than folder where project is present , mention the path in FEATURES_PAT... | lummyare/Unibet-calabash-starburst | run_ios_starburst_ipad.sh | Shell | mit | 1,771 |
#!/bin/bash
echo " "
echo "*********************************************************************"
echo "* MT7688 Cross-environment for building native node modules/add-ons *"
echo "* Tested on: *"
echo "* Host: Ubuntu 14.04LTS x86_64 (MTK cross-tools) ... | simenkid/mt7688-cross | create_env.sh | Shell | mit | 4,933 |
#!/usr/bin/python
import sqlite3
import os
import datetime
import calendar
import sys
cal_name = 'Arbeitszeit'
cal_db = os.path.expanduser('~/Library/Calendars/Calendar Cache')
days_to_show = 0
if len(sys.argv) > 1: days_to_show = int(sys.argv[1])
apple_epoche = calendar.timegm((2001, 1,1, 0,0,0))
startdate = dat... | vidl/ical-worktime | az-10.9.sh | Shell | mit | 2,060 |
system_profiler SPPowerDataType | grep "Charge Capacity" | awk '{print $5}e'
| mykey/macscripts | ARCHIEF/charge_capacity.sh | Shell | mit | 77 |
#!/bin/sh
#
# second alert sample
#
CALL_DIR=/etc/asterisk/CALL
SPOOL_DIR=/var/spool/asterisk/outgoing
CALL_NUMBER="XXX-XXXX-XXXX"
MAX_RETRY=900
twit="twit"
consumerkey="consumerkey"
consumersecret="consumersecret"
requesttokenuri="https://twitter.com/oauth/request_token"
accesstokenuri="https://twitter.com/oauth/ac... | potix/sensor-ids | script/second_alert_script.sh | Shell | mit | 1,210 |
#!/bin/sh
set -e
# Add or modify any build steps you need here
cd "$(dirname "$0")"
sbt="dependencies/sbt"
if [ ! -f "$sbt" ]; then
echo "It looks like you deleted the sbt dependency from dependencies/. You'll need it for the rest of this project."
exit 1
fi
"$sbt" assembly
| xthexder/stripe-ctf-3.0 | level3/build.sh | Shell | mit | 284 |
#!/bin/sh
prog=svcasc2noise_test.m
depends="svcasc2noise_test.m test_common.m \
svcasc2noise.m butter2pq.m pq2svcasc.m svcasc2Abcd.m KW.m"
tmp=/tmp/$$
here=`pwd`
if [ $? -ne 0 ]; then echo "Failed pwd"; exit 1; fi
fail()
{
echo FAILED ${0#$here"/"} $prog 1>&2
cd $here
rm -rf $tmp
exi... | robertgj/DesignOfIIRFilters | test/01/t0153a.sh | Shell | mit | 1,321 |
# (C) 2001-2017 Altera Corporation. All rights reserved.
# Your use of Altera Corporation's design tools, logic functions and
# other software and tools, and its AMPP partner logic functions, and
# any output files any of the foregoing (including device programming
# or simulation files), and any associated documen... | MattProtas/FPGA | Systems/Avalon_Test_Streaming/Avalon_Test_Streaming/simulation/synopsys/vcs/vcs_setup.sh | Shell | mit | 6,728 |
#!/bin/bash
docker build --rm -t kawanamiyuu/docker-elasticsearch-kibana:sender `dirname $0`
docker images
| kawanamiyuu/docker-elasticsearch-kibana | sender/docker-build.sh | Shell | mit | 108 |
npm run clean && npm run build && docker-compose up --build
| starmage/my-movies | build.sh | Shell | mit | 60 |
reponame="svn-with-dir"
mkdir $reponame
cd $reponame
# Creating a repository in this location
svnadmin create .
svn_path=`pwd`
cd ../
mkdir repo03
cd repo03/
# Checking out the repository
svn co file://$svn_path
# Going into the repo dir
cd $reponame
mkdir dir
# adding the new dir to the repository
svn add dir
... | hbussell/pinax-tracker | apps/pyvcal/tests/repositories/subversion/create_repository_with_directory.sh | Shell | mit | 518 |
#!/bin/sh
exec uwsgi --chdir /root/loom --socket 127.0.0.1:3545 --module loom --callable app --enable-threads
| teslaworksumn/loom | scripts/uwsgi_service.sh | Shell | mit | 110 |
#!/bin/bash
#set -ex
cd $(dirname $0)
source ../config/scripts.conf
VOLUME_RANGE_STR=$(amixer get $CONTROL_NAME | grep 'Limits: Playback' | sed -e 's/.*Playback//g' | sed -e 's/ \- /:/g')
MIN_VOLUME=$(echo $VOLUME_RANGE_STR | cut -d':' -f 1)
MAX_VOLUME=$(echo $VOLUME_RANGE_STR | cut -d':' -f 2)
VOL_RANGE=$[ $MAX_VOLUME... | enguerrand/radiopi | scripts/volume.sh | Shell | mit | 2,376 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for DSA-3009-1
#
# Security announcement date: 2014-08-21 00:00:00 UTC
# Script generation date: 2017-01-01 21:07:01 UTC
#
# Operating System: Debian 7 (Wheezy)
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - python-imaging:1.1.7-4+deb7u1
#
# L... | Cyberwatch/cbw-security-fixes | Debian_7_(Wheezy)/x86_64/2014/DSA-3009-1.sh | Shell | mit | 635 |
#!/bin/bash
set > /root/vars.sh
| tuxpiper/cloudcast | tests/scripts/sample-script.sh | Shell | mit | 33 |
#!/usr/bin/env bash
IMAGE_NAME_ARG="$1"
DEFAULT_JAVA_IMAGE_NAME="vaxiom/AXIOJAVA8"
DEFAULT_TOMCAT_IMAGE_NAME="vaxiom/AXIOVM01TOMCAT7"
DEFAULT_BASE_IMAGE_NAME="vaxiom/centos"
USAGE_STR="$(basename $0) <name of the image>"
usage() {
local RC=0
if [ ! $# -eq 1 ];then
echo "$USAGE_STR"
echo " e.... | morridm/vaxiom-docker | base/delete-docker-images.sh | Shell | mit | 2,189 |
#!/bin/bash
( (find third_party/emsdk/ | sort -d -f); echo "__MANIFEST DONE__"; cat `find third_party/emsdk/ -type f | sort -d -f`) | openssl dgst -sha256 -hex | cut -d' ' -f2
| sarum90/cpp_web_framework | tools/emsdk_hash.sh | Shell | mit | 177 |
#!/bin/bash
HADOOP_PATH=~/hadoop-2.7.0
APP_NAME=URLCat
JAR_NAME=URLCat
# input file on HDFS
INPUT_FILE=hdfs://localhost/output.txt
# run
$HADOOP_PATH/bin/hadoop jar $JAR_NAME.jar $APP_NAME $INPUT_FILE
| ArthurChiao/hadoop_by_examples | 10_HDFS/HDFS_03_URLCat/run.sh | Shell | mit | 205 |
#! /bin/sh
PATH=${WORKSPACE}/venv/bin:$PATH
PYLINT=pylint
if [ ! -d "venv" ]; then
virtualenv venv
fi
chmod +x ./venv/bin/activate
./venv/bin/activate
pip install --trusted-host scmesos06 -i http://scmesos06/simple -r requirements_dev.txt --cache-dir=/tmp/recipe
[ $? -gt 0 ] && exit 1
pip install --trusted-host s... | by46/tunicorn | ci/analysis.sh | Shell | mit | 459 |
#!/bin/sh
mkdir -p /data/pcap
if [ -z $1 ]; then
BUILDDIR=/data/moloch-git
else
BUILDDIR=$1
fi
echo "git clone"
git clone https://github.com/aol/moloch.git $BUILDDIR
echo "cd to dir and build"
cd $BUILDDIR
USEPFRING=no ESMEM="512M" DONOTSTART=yes MOLOCHUSER=daemon GROUPNAME=daemon PASSWORD=0mgMolochDockerRules5 IN... | kost/docker-moloch | scripts/buildmoloch.sh | Shell | mit | 432 |
#!/bin/bash
lammps_dir="$HOME/lammps-18Feb11/src"
project_dir="$HOME/Project_Files_2009.05.18/Lammps_Files/release"
simulation_dir=`pwd`
pr_file1="fix_backbone.cpp"
pr_file2="fix_backbone.h"
pr_file3="fix_go-model.cpp"
pr_file4="fix_go-model.h"
pr_file5="pair_excluded_volume.cpp"
pr_file6="pair_excluded_volume.h"
#pr... | luwei0917/awsemmd_script | script/lammps.sh | Shell | mit | 1,055 |
#!/bin/bash
is_git_dir() {
# Based on this:
# https://stackoverflow.com/questions/2180270/check-if-current-directory-is-a-git-repository
inside_git_repo="$(git rev-parse --is-inside-work-tree 2>/dev/null)"
if [ "$inside_git_repo" ]; then
return 1
else
return 0
fi
}
# Check t... | Blinkinlabs/BlinkinlabsAltiumLibrary | scripts/check_sync.sh | Shell | mit | 1,939 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2400-1
#
# Security announcement date: 2014-11-10 00:00:00 UTC
# Script generation date: 2017-01-01 21:04:03 UTC
#
# Operating System: Ubuntu 12.04 LTS
# Architecture: i386
#
# Vulnerable packages fix on version:
# - libreoffice-core:1:3.5.7-0ubuntu7
#
# ... | Cyberwatch/cbw-security-fixes | Ubuntu_12.04_LTS/i386/2014/USN-2400-1.sh | Shell | mit | 646 |
#!/usr/bin/env bash
## Makes debuggers' life easier - Unofficial Bash Strict Mode
## BASHDOC: Shell Builtin Commands - Modifying Shell Behavior - The Set Builtin
set -o errexit
set -o errtrace
set -o nounset
set -o pipefail
if [[ -v "BASH_SOURCE[0]" ]]; then
RUNTIME_EXECUTABLE_PATH="$(realpath --strip "${BASH_SOURC... | MediaBrowser/Emby.Build | docker-containers/base/utils/docker-build.sh | Shell | mit | 4,725 |
#!/bin/bash
for test in $(find tests -name '*.ts'); do
# if [[ $(uname) == MS* ]]; then # Windows (PowerShell)
# node ./node_modules/typings-checker/src/index.js $test --verbose --noLines 2>&1 | Out-File -encoding utf8 tee $test.out
if [[ $PWD == /mnt/* ]]; then # Bash on Windows, messes with local path so try ... | jcristovao/typescript-ramda | update-tests.sh | Shell | mit | 680 |
#!/bin/bash
#################################################
# Check if a database table exists
#################################################
Database__table_exists() {
read -d '' sql <<____EOF
SELECT table_name
FROM information_schema.tables
WHERE table_schema = 'public'
AND table_name = ... | DigitalCitadel/originator | modules/migrate/lib/database_drivers/postgres.bash | Shell | mit | 5,690 |
/bin/echo "postremove script started [$1]"
if [ "$1" = 0 ]
then
/usr/sbin/userdel -r takehome 2> /dev/null || :
/bin/rm -rf /usr/local/takehome
fi
/bin/echo "postremove script finished"
exit 0
| wallrj/takehome | scripts/rpm/postremove.sh | Shell | mit | 199 |
#!/bin/sh
set -e
giturl="https://$3:$4@$1.com/$2"
if ! (git clone $giturl -q app) then
exit 1
fi
cd app
glide -q init --non-interactive && glide -q install
if [ $? -gt 0 ]; then
echo "Cannot glide '$giturl'" >&2
exit 2
fi
rm -rf coverage.out
echo 'mode: count' > coverage.out
for d in $(go list ./... |... | plimble/aloy | docker/gocover.sh | Shell | mit | 972 |
#!/usr/bin/env bash
mkdir -p $HOME/.ncurses_db
wget --directory-prefix=$HOME/.ncurses_db http://invisible-island.net/datafiles/current/terminfo.src.gz
gunzip $HOME/.ncurses_db/terminfo.src.gz
tic -x $HOME/.ncurses_db/terminfo.src
| CoderVikas/mindotfiles | install/ncurses.sh | Shell | mit | 231 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for USN-2577-1
#
# Security announcement date: 2015-04-23 00:00:00 UTC
# Script generation date: 2017-01-01 21:04:29 UTC
#
# Operating System: Ubuntu 14.04 LTS
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - wpasupplicant:2.1-0ubuntu1.2
#
# Las... | Cyberwatch/cbw-security-fixes | Ubuntu_14.04_LTS/x86_64/2015/USN-2577-1.sh | Shell | mit | 631 |
#!/bin/bash
# Script to publish the build artifacts to a GitHub repository.
# Builds will be automatically published once new changes are made to the repository.
set -e -o pipefail
# Go to the project root directory
cd $(dirname $0)/../..
buildDir="dist/release"
buildVersion=$(sed -nE 's/^\s*"version": "(.*?)",$/\1... | gnucoop/material2-extra | scripts/release/publish-build-artifacts.sh | Shell | mit | 1,463 |
# -------------------------------------------------------
# Design Assets Management (for Git projects)
# Written by Nathan Broadbent (www.madebynathan.com)
# -------------------------------------------------------
#
# * The `design` function manages the 'design assets' directories for the current project,
# includin... | ErinCall/scm_breeze | lib/design.sh | Shell | mit | 4,583 |
# splunk.plugin.zsh
alias splunk-pwd='export SPLUNK_HOME=`pwd`'
spl() { cd /opt/splunk/"$*"; }
_spl() {
_files -W /opt/splunk/
}
compdef _spl spl
| noisufnoc/splunk.plugin.zsh | splunk.plugin.zsh | Shell | mit | 156 |
#!/bin/bash -l
#SBATCH
#SBATCH --job-name=glm_2_nodes_4_calls_parallel.sh
#SBATCH --time=03:00:00
#SBATCH --mail-type=begin,end
#SBATCH --mail-user=karoraw1@jhu.edu
#SBATCH --nodes=2
#SBATCH --partition=parallel
module load netcdf/intel/4.3.3.1 glm
cd /home-3/karoraw1@jhu.edu/work/kaw/GLM_Wrapper/GLM_Executables/exam... | karoraw1/GLM_Wrapper | MARCCTEST/glm_2_nodes_4_calls_parallel.sh | Shell | mit | 750 |
#!/bin/bash
EXISTS="$(docker ps -a|grep centos7ansible)"
if ! [[ -z "$EXISTS" ]]; then
docker exec -it centos7ansible bash
else
echo "Container centos7ansible not found ..."
fi
| fabriziotorelli-wipro/ansible-machines | centos7-ansible/access.sh | Shell | mit | 181 |
#! /bin/sh
#
# Perform mapping and split the results
BIN_DIR=`dirname $0`
BWA_BIN=$BIN_DIR/bwa
SSC_BIN=$BIN_DIR/splitSam2Contig2
N_THREADS=1
INPUT_DIR=$1
MED_DIR=$2
BWA_FILE=$3
CONTIG_FILE=$4
EXTS=()
for file in ${INPUT_DIR}/* ; do
extension=${file##*.}
EXTS+=($extension)
done
EXTS=(`for ext in "${EXTS[@]}"; do ... | fiber-miniapp/ngsa-mini | workflow/workflow_01.sh | Shell | mit | 1,265 |
#!/bin/bash
source ~/.bashrc
cd /home/ubuntu/myapp
npm run start
| vimal1083/travis-deployment | scripts/app_start.sh | Shell | mit | 65 |
#! /bin/bash
IFS=$'\n'
for x in $(find . -iname "theme*" ); do
y=${x/theme-/}
mv "$x" "${y}"
done
| sburnett/seattle | repy/apps/tryrepy/web/js/ace/renam.sh | Shell | mit | 104 |
#!/bin/zsh
# Each line in this string has the following entries separated by a space
# character.
# <repo-url>, <plugin-location>, <bundle-type>, <has-local-clone>
# FIXME: Is not kept local by zsh!
local _ANTIGEN_BUNDLE_RECORD=""
# Syntaxes
# antigen-bundle <url> [<loc>=/]
# Keyword only arguments:
# branch - Th... | dqminh/dotfiles | antigen.zsh | Shell | mit | 18,498 |
#!/bin/bash
mkdir Logs;
for DIR in `ls STAR`;
do
echo -ne "$DIR\t" >> Logs/Input.tsv;
cat STAR/$DIR/Log.final.out | grep "Number of input reads" | cut -f2 >> Logs/Input.tsv;
done
for DIR in `ls STAR`;
do
echo -ne "$DIR\t" >> Logs/Unique.tsv;
cat STAR/$DIR/Log.final.out | grep "Uniquely mapped reads number" | c... | risslandlab/DRUID | Scripts/STARlogs.sh | Shell | mit | 824 |
#! /usr/bin/env bash
coffee -c gol.coffee
node gol.js
| HGrzywacz/GameOfCoffee | run.bash | Shell | mit | 54 |
sudo docker build -t dckreg:5000/hbase:1.2.4 .
sudo docker push dckreg:5000/hbase:1.2.4
| reza-rahim/microservice | ansible/mesos-analytics/docker/hbase/build.sh | Shell | mit | 89 |
#!/bin/bash
word=$1
grep "^$1$" ../dict/cracklib-small -q
if [ $? -eq 0 ];then
echo $word is cracklib-small word;
else
echo $word is not a dictionary word;
fi
| BofengDuke/shell_script | chapter2/checkword.sh | Shell | mit | 167 |
#/usr/bin/env bash
curr_time=`date +%s-hamwave`
text2wave -eval "(voice_cmu_us_clb_arctic_clunits)" -o /tmp/$curr_time.wav $1
#play a 200hz tone to key VOX circuit if necessary
aplay /home/troy/projects/oinker/200hz.wav
aplay /tmp/$curr_time.wav
| troylanes/oinker | oink.sh | Shell | mit | 258 |
#!/bin/sh
if [ "$#" -ne 1 ] || ! [ -d "$1" ]; then
echo "Usage: $0 <directory to liquid source tree>" >&2
exit 1
fi
LIQUID=$(readlink -e $1)
ln -s $LIQUID/lib test/liquid/lib
ln -s $LIQUID/test/liquid test/liquid/test/liquid
ln -s $LIQUID/test/test_helper.rb test/liquid/test/liquid_test_helper.rb
| fw42/liquidprof | add_liquid_tests.sh | Shell | mit | 303 |
#!/bin/bash
# Kill script for cleaning up the local CuteCasa instance. Deletes the local secret directories containing the database
# as well as the compiled CSS files.
rm -rf config/secret
rm -rf test/secret
rm -f static/css/bin/bulma.css
rm -f static/css/bin/bulma.css.map
rm -f static/css/bin/cutecasa.css
rm -f sta... | akersten/cute-casa | kill.sh | Shell | mit | 461 |
#!/bin/bash
printf "foo_parse_fail.js = "
assert_ok \
"$FLOW" autocomplete --strip-root foo_parse_fail.js 10 17 < foo_parse_fail.js
printf "foo.js = "
assert_ok \
"$FLOW" autocomplete --strip-root --pretty foo.js 10 5 < foo.js
printf "bar.js = "
assert_ok \
"$FLOW" autocomplete --strip-root --pretty bar.js 4 5 ... | popham/flow | tests/autocomplete/test.sh | Shell | mit | 2,931 |
#!/bin/bash -e
echo "-----------------------------------------------------"
echo ""
echo " Enabling site"
echo ""
echo "-----------------------------------------------------"
echo ""
host_file_path="/etc/hosts"
apache_file_path="/srv/sites/apache/apache.conf"
# Request sudo action before continui... | parentnode/ubuntu_environment | scripts/enable_site.sh | Shell | mit | 3,024 |
#!/bin/bash
set -xv
#run on eye_CRnum0_Pnum0.fits first
file="/nfs/slac/kipac/fs1/u/awright/eyes/eye-10_3_cr.2.1/W-C-RC/both/edge_out/inputs/eye_CRnum0_Pnum0.fits"
#can use this dir if needed: /u/ki/awright/my_data/thesis_stuff/CRN_final_purecomp/
## first the stuff that's in create_weights_raw_delink_para_CRNitschke_... | deapplegate/wtgpipeline | adam_THESIS_quantify_CRN_performance.sh | Shell | mit | 12,654 |
#!/bin/bash
############################################################################
#Skillset2 initialization scritp
############################################################################
echo "Starting Skillset2 initialization process,please wait."
cp ./questions/images /home/ocm/ > /dev/null 2>&1
mv /home... | bigdatalyn/bigdatalyn.github.io | files/Oracle/OCM/HaiLiang/skillset2/initsec2.sh | Shell | mit | 1,977 |
#!/bin/bash
if [[ -z "$MYSQL_ENV_MYSQL_ROOT_PASSWORD" && -z "$KIPPO_DB_PASSWORD" ]]; then
echo "You must specify KIPPO_DB_PASSWORD and link to a mysql container."
exit 1
fi
: ${KIPPO_DB_HOST:="mysql"}
: ${KIPPO_DB_USERNAME:="kippo"}
: ${KIPPO_DB_PASSWORD:="$MYSQL_ENV_MYSQL_ROOT_PASSWORD"}
: ${KIPPO_DB_DATABAS... | reuteras/docker-kippo-graph | entrypoint.sh | Shell | mit | 1,346 |
#!/bin/sh
SCRIPT=`realpath "$0"`
SCRIPTPATH=`dirname "$SCRIPT"`
cd "$SCRIPTPATH"
git diff --ext-diff | meld -
| cefn/firmware-codesign-readinglog | diff_dirs.sh | Shell | mit | 110 |
#!/usr/bin/env bash
pod repo push makingspace NetworkingServiceKit.podspec --allow-warnings
| makingspace/NetworkingServiceKit | update-spec.sh | Shell | mit | 92 |
#!/bin/bash
docker run --rm -it --network=command-net roadster/mqtt-spy sh
| lizard43/docker-demo17 | swarm/missileCommand/mqtt-spy/runMqttSpyDocker.sh | Shell | mit | 76 |
#!/bin/bash
#
sh xamps_np/t_xs_np.sh
| AppliedLogicSystems/ALSProlog | docs/src_help_md/run_np_samples.sh | Shell | mit | 37 |
#!/usr/bin/env bash
set -euv
export CRATESFYI_PREFIX=/opt/docsrs/prefix
export DOCS_RS_DOCKER=true
export RUST_LOG=${RUST_LOG-cratesfyi,rustwide=info}
export PATH="$PATH:/build/target/release"
# Try migrating the database multiple times if it fails
# This avoids the docker container crashing the first time it's star... | onur/cratesfyi | docker-entrypoint.sh | Shell | mit | 1,183 |
#!/bin/bash
set -o errtrace #trap inherited in sub script
set -o errexit
set -o functrace #trap inherited in function
#####################
# get real path
#####################
APP_CMD_HOME=$(cd `dirname $0`; pwd)
APP_HOME=$(dirname "$APP_CMD_HOME")
#####################
# init
#####################
. ${APP_CMD_HOME... | chen56/thinking | script/init.sh | Shell | epl-1.0 | 543 |
#! /bin/bash
cd .
echo "codebox started: `date`" >> ./codebox.log
nohup node ./node_modules/codebox/bin/codebox.js run ./ -p 3001 -u USERNAME:PASSWORD,guest:havoc42c >> ./codebox.log 2>&1 &
| plamzi/Havoc | codebox.sh | Shell | gpl-2.0 | 190 |
#!/bin/sh
test_description='blob conversion via gitattributes'
. ./test-lib.sh
TEST_ROOT="$PWD"
PATH=$TEST_ROOT:$PATH
write_script <<\EOF "$TEST_ROOT/rot13.sh"
tr \
'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ' \
'nopqrstuvwxyzabcdefghijklmNOPQRSTUVWXYZABCDEFGHIJKLM'
EOF
write_script rot13-filter.pl "... | cpackham/git | t/t0021-conversion.sh | Shell | gpl-2.0 | 20,683 |
#!/bin/sh
# Prepare mxcloud testing environment from firmware V1.4
if [ "$1" == "" ];
echo "Usage: $0 [ip-segment#4]"
exit 1
fi
cd /tmp
# setup the network
cp -a /etc/resolv.conf /etc/resolv.conf.bak
cp -a /etc/network/interfaces /etc/network/interfaces.bak
cp -a /etc/hosts /etc/hosts.bak
echo "nameserver 192.168.... | lwindg/mxcloud-cg-configurator | prepare-rootfs.sh | Shell | gpl-2.0 | 2,429 |
convert images/OCS-426.png -crop 1647x4938+0+0 +repage images/OCS-426-A.png
convert images/OCS-426.png -crop 1647x4938+1647+0 +repage images/OCS-426-B.png
#/OCS-426.png
#
#
#
| jonnymwalker/Staroslavjanskij-Slovar | scripts/middlesplit.OCS-426.sh | Shell | gpl-2.0 | 175 |
#!/bin/sh
# I created this because I couldn't get the ant target dist to compile on OS X =ml=
if [[ `uname` != 'Darwin' ]]; then
echo "OS X is required to build all distros."
echo "You have been warned!"
fi
rm -rf dist-all
mkdir dist-all
echo "===> Compiling Linux distro..."
./dist-linux.sh &
wait
mv dist/* dist-a... | natetrue/ReplicatorG | dist-all.sh | Shell | gpl-2.0 | 553 |
echo "MISE A JOUR DES ENTITES A PARTIR DES BASES";
vendor/bin/doctrine orm:convert-mapping --from-database yml ./config/yaml --force;
vendor/bin/doctrine orm:generate-entities ./src;
vendor/bin/doctrine orm:info;
exit 0;
| mistert14/espe2015 | ESPE-DOCT/update.sh | Shell | gpl-2.0 | 221 |
#!/bin/bash -e
echo 2
| tjamet/dynker | resources/image2/scripts/value.sh | Shell | gpl-2.0 | 22 |
#!/bin/bash
# ipcop advanced proxy log addon binary installer Ver 1.0.0 for IPCop 2.0.x
#
# created 01 January 2014 by Umberto 'joeyramone76' Miceli <joeyramone76@altervista.org>
#
#
# $Id: install.sh v 1.0.2 2014-04-14 23:56:23Z joeyramone76 $
#
SCRIPTPATH=`dirname $0`
CMD="$1"
STEP=1
UPDATE=0
ADVPLVER=1.0.2
ADVPLU... | joeyramone76/ipcop-advproxylog | install.sh | Shell | gpl-2.0 | 4,716 |
#! /bin/sh
./send.py '{ "cmd":"stop", "id":"big_left" }'
| flok99/matrix-server | stop-one.sh | Shell | gpl-2.0 | 58 |
#
# ASKAP Data Challenge 1A Processing Pipeline
#
##############################################################################
# Specific Configuration
##############################################################################
#
##############
#
# This file defines various constants used in the scripts.
#
# This... | ATNF/askapsdp | Tests/data_challenge_1a/processing/scripts/config_full_BETA.sh | Shell | gpl-2.0 | 2,729 |
#!/bin/bash
# Run SnpEff for annotating variants.
module load snpEff
java -Xmx4g -jar $SNPEFF_HOME/snpEff.jar hg19 -noStats -noLog -lof -canon -ud 0 Joeri_exome.variant.calls.GATK.sorted.alldiploid.vcf > Joeri_exome.variant.calls.GATK.sorted.alldiploid_snpeff.vcf | marieke-bijlsma/graduation-project | src/main/bash/runSnpEff.sh | Shell | gpl-2.0 | 266 |
#!/bin/bash
PRUNE=""
INDEXFILTER="git rm -r --cached --ignore-unmatch ${PRUNE}"
MSGFILTER="sed -e 's/likewise-oem-isilon/likewise-oem/g'"
git filter-branch --msg-filter "${MSGFILTER}" --prune-empty HEAD && \
git for-each-ref --format="%(refname)" refs/original/ | xargs -n 1 git update-ref -d && \
git reflog ex... | Coffeedude/slag | scripts/git-filter/git-filter2.sh | Shell | gpl-2.0 | 370 |
#!/bin/bash
#
# loads script functions
. ./scripts/utils
#
# download all data
. ./scripts/downloads
#
# starts project build
. ./scripts/build | AKSW/FOX | ScriptBuild.sh | Shell | gpl-2.0 | 143 |
PING 0.0.0.0 (127.0.0.1) 56(84) bytes of data.
64 bytes from 127.0.0.1: icmp_req=1 ttl=64 time=0.043 ms
--- 0.0.0.0 ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 0.043/0.043/0.043/0.000 ms
PING 128.118.0.0 (128.118.0.0) 56(84) bytes of data.
--- 128.118.0.0 pin... | patbeagan1/AcerArchDev | bashscripts/results.log.sh | Shell | gpl-2.0 | 313,573 |
#! /bin/sh
triplet=i686-w64-mingw32
prefix=/usr/$triplet/sys-root/mingw
CC=$triplet-gcc
export PKG_CONFIG_LIBDIR=$prefix/lib/pkgconfig
export PKG_CONFIG_PREFIX=$prefix
sudo cp $prefix/bin/icudata46.dll $prefix/lib/
sudo cp $prefix/bin/icuuc46.dll $prefix/lib/icuuc46.lib
sudo cp $prefix/bin/icui18n46.dll $prefix/lib/
... | greg-hellings/Xiphos | win32/suse/sword-unicode.sh | Shell | gpl-2.0 | 890 |
#!/bin/bash
#
#
# Execute a Sutra
#
S=/usr/bin/sutra
[[ -f $S ]] && $S
| sri-arjuna/tui-sutra | sutra-tui.sh | Shell | gpl-2.0 | 73 |
#!/bin/bash
echo "01"; cat tests/syntax/input/etapa2/errada01.txt | ./main
echo
echo "02"; cat tests/syntax/input/etapa2/errada02.txt | ./main
echo
echo "03"; cat tests/syntax/input/etapa2/errada03.txt | ./main
echo
echo "04"; cat tests/syntax/input/etapa2/errada04.txt | ./main
echo
echo "05"; cat tests/syntax/inpu... | betting/compiladores | test_errado_e2.sh | Shell | gpl-2.0 | 1,393 |
# !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
# ! FILE IS CONTROLLED BY ANSIBLE, DO NOT CHANGE, OR ELSE YOUR CHANGES WILL BE EVENTUALLY LOST !
# !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
#
# Bash helper function libr... | pyroscope/pimp-my-box | roles/rtorrent-ps/templates/bin/_tools.sh | Shell | gpl-2.0 | 881 |
#!/bin/bash
function run()
{
COMMENT=$1
CMD=$2
echo "======================================================================================"
echo "$COMMENT:"
echo "$CMD"
/bin/bash -c "$CMD"
echo
}
SRCADDR=$1
if test "$SRCADDR" = ""
then
SRCADDR="1PSf86KnLuzM7Ris5kDhTEZwooR3p2iyfV" #... | oggio88/SimpleBlockParser | src/contrib/closure-taint.sh | Shell | gpl-2.0 | 2,760 |
#!/bin/sh
set -e
if [ -f .git/hooks/pre-commit.sample -a ! -f .git/hooks/pre-commit ] ; then
cp -p .git/hooks/pre-commit.sample .git/hooks/pre-commit && \
chmod +x .git/hooks/pre-commit && \
echo "Activated pre-commit hook."
fi
autoreconf --install
| tjohann/my_common_docs | autotools/prog_simple/autogen.sh | Shell | gpl-2.0 | 276 |
#!/bin/bash
# source helper functions
. ../helperfunctions.sh
# source configuration
. ../OPTIONS.conf
# install ldap - server
# install slapd dpkg - package
if [ ! "$FULLINSTALL" = "true" ];
then
echo "FULLINSTALL=false"
apt-get -y update
fi
printAndLogStartMessage "START: SILENT INSTALLATION OF LDAP - SERVER"
... | thomasgatterer/networkbox | ldap-server/install-slapd.sh | Shell | gpl-2.0 | 1,324 |
#!/bin/bash
#
# Build webservice images from the currently checked out version of BookBrainz
# and push it to the Docker Hub, with an optional tag (by default "beta").
#
# Usage:
# $ ./push-webservice.sh [env] [tag]
#
# Examples:
# $ ./push-webservice.sh beta beta # will push image with tag beta and dep... | bookbrainz/bookbrainz-site | docker/push-webservice.sh | Shell | gpl-2.0 | 1,175 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.